> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tulipai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a provider registration challenge



## OpenAPI

````yaml /gateway-reference/openapi.yaml post /v1/provider-offers/challenge
openapi: 3.1.0
info:
  title: Tulip Gateway API
  version: 2.0.0
  description: >-
    Offer-aware model discovery, quotes, OpenAI-compatible inference, provider
    onboarding, and settlement for Tulip v1 model markets.
servers: []
security: []
tags:
  - name: Service
  - name: Models
  - name: Inference
  - name: Providers
  - name: Settlement
paths:
  /v1/provider-offers/challenge:
    post:
      tags:
        - Providers
      summary: Create a provider registration challenge
      operationId: createProviderChallenge
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                offerId:
                  $ref: '#/components/schemas/Hex32'
                endpointUrl:
                  type: string
                  format: uri
                nonce:
                  type: string
                expiresAt:
                  type: integer
                  description: Unix timestamp no more than 15 minutes in the future.
              required:
                - offerId
                - endpointUrl
                - nonce
                - expiresAt
      responses:
        '200':
          description: EIP-712 typed data for the offer operator to sign.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '400':
          $ref: '#/components/responses/Error'
      security:
        - TulipApiKey: []
components:
  schemas:
    Hex32:
      type: string
      pattern: ^0x[0-9a-fA-F]{64}$
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            type:
              type: string
            message:
              type: string
          required:
            - code
            - type
            - message
      required:
        - error
  responses:
    Error:
      description: Tulip error response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    TulipApiKey:
      type: http
      scheme: bearer
      bearerFormat: Tulip API key

````